org.firebirdsql.jdbc

## Class FBConnectionProperties

- java.lang.Object
- - org.firebirdsql.jdbc.FBConnectionProperties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, AttachmentProperties, BaseProperties, DatabaseConnectionProperties, FirebirdConnectionProperties

    public final class FBConnectionProperties
    extends java.lang.Object
    implements FirebirdConnectionProperties, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

### Field Summary

Fields
`static java.lang.String` `AUTH_PLUGINS` Deprecated.
`static java.lang.String` `BLOB_BUFFER_SIZE_PROPERTY` Deprecated.
`static java.lang.String` `BUFFERS_NUMBER_PROPERTY` Deprecated. Use `PropertyNames.pageCacheSize`
`static java.lang.String` `CONNECT_TIMEOUT` Deprecated.
`static java.lang.String` `DATA_TYPE_BIND` Deprecated.
`static java.lang.String` `DATABASE_PROPERTY` Deprecated.
`static java.lang.String` `DB_CRYPT_CONFIG` Deprecated.
`static java.lang.String` `DEFAULT_HOLDABLE_RS_PROPERTY` Deprecated. Use `PropertyNames.defaultResultSetHoldable`
`static java.lang.String` `DEFAULT_ISOLATION_PROPERTY` Deprecated. Use `PropertyNames.defaultIsolation`
`static java.lang.String` `ENCODING_PROPERTY` Deprecated.
`static java.lang.String` `GENERATED_KEYS_ENABLED` Deprecated.
`static java.lang.String` `IGNORE_PROCEDURE_TYPE` Deprecated.
`static java.lang.String` `ISOLATION_PROPERTY` Deprecated. Use `PropertyNames.defaultIsolation`
`static java.lang.String` `LOCAL_ENCODING_PROPERTY` Deprecated. Use `PropertyNames.charSet`
`static java.lang.String` `PASSWORD_PROPERTY` Deprecated.
`static java.lang.String` `ROLE_NAME_PROPERTY` Deprecated.
`static java.lang.String` `SESSION_TIME_ZONE` Deprecated.
`static java.lang.String` `SO_TIMEOUT` Deprecated.
`static java.lang.String` `SOCKET_BUFFER_SIZE_PROPERTY` Deprecated.
`static java.lang.String` `SQL_DIALECT_PROPERTY` Deprecated.
`static java.lang.String` `TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY` Deprecated.
`static java.lang.String` `TYPE_PROPERTY` Deprecated.
`static java.lang.String` `USE_FIREBIRD_AUTOCOMMIT` Deprecated.
`static java.lang.String` `USE_STREAM_BLOBS_PROPERTY` Deprecated.
`static java.lang.String` `USER_NAME_PROPERTY` Deprecated. Use `PropertyNames.user`
`static java.lang.String` `WIRE_COMPRESSION` Deprecated.
`static java.lang.String` `WIRE_CRYPT_LEVEL` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`FBConnectionProperties()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IConnectionProperties` `asIConnectionProperties()`
`java.lang.Object` `clone()`
`java.util.Map<ConnectionProperty,java.lang.Object>` `connectionPropertyValues()` An unmodifiable view on the connection properties held by this BaseProperties implementation.
`boolean` `equals(java.lang.Object obj)`
`java.lang.Boolean` `getBooleanProperty(java.lang.String name)` Retrieves a `boolean` property value by name.
`java.lang.Integer` `getIntProperty(java.lang.String name)` Retrieves an `int` property value by name.
`FBTpbMapper` `getMapper()`
`java.lang.String` `getProperty(java.lang.String name)` Retrieves a string property value by name.
`TransactionParameterBuffer` `getTransactionParameters(int isolation)` Get the transaction parameter buffer corresponding to the current connection request information.
`int` `hashCode()`
`void` `setBooleanProperty(java.lang.String name, java.lang.Boolean value)` Sets a `boolean` property by name.
`void` `setIntProperty(java.lang.String name, java.lang.Integer value)` Sets an `int` property by name.
`void` `setNonStandardProperty(java.lang.String propertyMapping)` Set the property that does not have corresponding setter method.
`void` `setProperty(java.lang.String name, java.lang.String value)` Sets a property by name.
`void` `setTransactionParameters(int isolation, TransactionParameterBuffer tpb)` Set transaction parameters for the specified transaction isolation level.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.jdbc.FirebirdConnectionProperties

`getBuffersNumber, getDatabase, getNonStandardProperty, getUserName, setBuffersNumber, setDatabase, setNonStandardProperty, setUserName`

### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

`getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getPageCacheSize, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isColumnLabelForName, isDefaultResultSetHoldable, isIgnoreProcedureType, isTimestampUsesLocalTimezone, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setBlobBufferSize, setColumnLabelForName, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setGeneratedKeysEnabled, setIgnoreProcedureType, setPageCacheSize, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTimestampUsesLocalTimezone, setTpbMapping, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`getBooleanProperty, getIntProperty, getProperty`

### Field Detail

#### DATABASE_PROPERTY

    @Deprecated
    public static final java.lang.String DATABASE_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### TYPE_PROPERTY

    @Deprecated
    public static final java.lang.String TYPE_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### ISOLATION_PROPERTY

    @Deprecated
    public static final java.lang.String ISOLATION_PROPERTY

Deprecated. Use `PropertyNames.defaultIsolation`

See Also:
  Constant Field Values

#### DEFAULT_ISOLATION_PROPERTY

    @Deprecated
    public static final java.lang.String DEFAULT_ISOLATION_PROPERTY

Deprecated. Use `PropertyNames.defaultIsolation`

See Also:
  Constant Field Values

#### BLOB_BUFFER_SIZE_PROPERTY

    @Deprecated
    public static final java.lang.String BLOB_BUFFER_SIZE_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### LOCAL_ENCODING_PROPERTY

    @Deprecated
    public static final java.lang.String LOCAL_ENCODING_PROPERTY

Deprecated. Use `PropertyNames.charSet`

See Also:
  Constant Field Values

#### ENCODING_PROPERTY

    @Deprecated
    public static final java.lang.String ENCODING_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### ROLE_NAME_PROPERTY

    @Deprecated
    public static final java.lang.String ROLE_NAME_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### SQL_DIALECT_PROPERTY

    @Deprecated
    public static final java.lang.String SQL_DIALECT_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### USE_STREAM_BLOBS_PROPERTY

    @Deprecated
    public static final java.lang.String USE_STREAM_BLOBS_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### SOCKET_BUFFER_SIZE_PROPERTY

    @Deprecated
    public static final java.lang.String SOCKET_BUFFER_SIZE_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY

    @Deprecated
    public static final java.lang.String TIMESTAMP_USES_LOCAL_TIMEZONE_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### USER_NAME_PROPERTY

    @Deprecated
    public static final java.lang.String USER_NAME_PROPERTY

Deprecated. Use `PropertyNames.user`

See Also:
  Constant Field Values

#### PASSWORD_PROPERTY

    @Deprecated
    public static final java.lang.String PASSWORD_PROPERTY

Deprecated.

See Also:
  Constant Field Values

#### BUFFERS_NUMBER_PROPERTY

    @Deprecated
    public static final java.lang.String BUFFERS_NUMBER_PROPERTY

Deprecated. Use `PropertyNames.pageCacheSize`

See Also:
  Constant Field Values

#### DEFAULT_HOLDABLE_RS_PROPERTY

    @Deprecated
    public static final java.lang.String DEFAULT_HOLDABLE_RS_PROPERTY

Deprecated. Use `PropertyNames.defaultResultSetHoldable`

See Also:
  Constant Field Values

#### SO_TIMEOUT

    @Deprecated
    public static final java.lang.String SO_TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### CONNECT_TIMEOUT

    @Deprecated
    public static final java.lang.String CONNECT_TIMEOUT

Deprecated.

See Also:
  Constant Field Values

#### USE_FIREBIRD_AUTOCOMMIT

    @Deprecated
    public static final java.lang.String USE_FIREBIRD_AUTOCOMMIT

Deprecated.

See Also:
  Constant Field Values

#### WIRE_CRYPT_LEVEL

    @Deprecated
    public static final java.lang.String WIRE_CRYPT_LEVEL

Deprecated.

See Also:
  Constant Field Values

#### DB_CRYPT_CONFIG

    @Deprecated
    public static final java.lang.String DB_CRYPT_CONFIG

Deprecated.

See Also:
  Constant Field Values

#### AUTH_PLUGINS

    @Deprecated
    public static final java.lang.String AUTH_PLUGINS

Deprecated.

See Also:
  Constant Field Values

#### GENERATED_KEYS_ENABLED

    @Deprecated
    public static final java.lang.String GENERATED_KEYS_ENABLED

Deprecated.

See Also:
  Constant Field Values

#### DATA_TYPE_BIND

    @Deprecated
    public static final java.lang.String DATA_TYPE_BIND

Deprecated.

See Also:
  Constant Field Values

#### SESSION_TIME_ZONE

    @Deprecated
    public static final java.lang.String SESSION_TIME_ZONE

Deprecated.

See Also:
  Constant Field Values

#### IGNORE_PROCEDURE_TYPE

    @Deprecated
    public static final java.lang.String IGNORE_PROCEDURE_TYPE

Deprecated.

See Also:
  Constant Field Values

#### WIRE_COMPRESSION

    @Deprecated
    public static final java.lang.String WIRE_COMPRESSION

Deprecated.

See Also:
  Constant Field Values

### Constructor Detail

#### FBConnectionProperties

    public FBConnectionProperties()

### Method Detail

#### getProperty

    public java.lang.String getProperty(java.lang.String name)

Description copied from interface: `BaseProperties`
Retrieves a string property value by name.

For properties with an explicit default, this method should return the string presentation of that default, not `null`. For `int` or `boolean` the string equivalent is returned.

Specified by:
  `getProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
Returns:
  Value of the property, or `null` when not set or not a known property

#### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

Description copied from interface: `BaseProperties`
Sets a property by name.

This method can be used to set all defined properties, but also properties not known by Jaybird. When setting `int` or `boolean` properties, the appropriate conversions are applied. Using `null` will reset to the default value. For `boolean` properties, an empty string is taken to mean `true`.

Specified by:
  `setProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
  `value` - Property value (use `null` to apply default)

#### getIntProperty

    public java.lang.Integer getIntProperty(java.lang.String name)

Description copied from interface: `BaseProperties`
Retrieves an `int` property value by name.

For properties with an explicit default, this method should return the integer presentation of that default. For implementation simplicity, it is allowed to convert any string property to `int` instead of checking if something is actually an `int` property

Specified by:
  `getIntProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
Returns:
  Integer with value of the property, or `null` when not set

#### setIntProperty

    public void setIntProperty(java.lang.String name,
                               java.lang.Integer value)

Description copied from interface: `BaseProperties`
Sets an `int` property by name.

For implementation simplicity, it is allowed to also set string properties. The value set will be the string equivalent.

Specified by:
  `setIntProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
  `value` - Property value (use `null` to apply default)

#### getBooleanProperty

    public java.lang.Boolean getBooleanProperty(java.lang.String name)

Description copied from interface: `BaseProperties`
Retrieves a `boolean` property value by name.

For properties with an explicit default, this method should return the boolean presentation of that default. For implementation simplicity, it is allowed to convert any string property to `boolean` instead of checking if something is actually an `int` property

Specified by:
  `getBooleanProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
Returns:
  Integer with value of the property, or `null` when not set

#### setBooleanProperty

    public void setBooleanProperty(java.lang.String name,
                                   java.lang.Boolean value)

Description copied from interface: `BaseProperties`
Sets a `boolean` property by name.

For implementation simplicity, it is allowed to also set string properties. The value set will be the string equivalent.

Specified by:
  `setBooleanProperty` in interface `BaseProperties`
Parameters:
  `name` - Property name (not `null` or empty)
  `value` - Property value (use `null` to apply default)

#### connectionPropertyValues

    public java.util.Map<ConnectionProperty,java.lang.Object> connectionPropertyValues()

Description copied from interface: `BaseProperties`
An unmodifiable view on the connection properties held by this BaseProperties implementation.

Be aware, implementations can have additional properties that are not mapped from `ConnectionProperty`. Such properties will need to be retrieved in an implementation-specific manner.

Specified by:
  `connectionPropertyValues` in interface `BaseProperties`
Returns:
  An unmodifiable view on the property values held in this properties instance

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### clone

    public java.lang.Object clone()

Overrides:
  `clone` in class `java.lang.Object`

#### setNonStandardProperty

    public void setNonStandardProperty(java.lang.String propertyMapping)

Description copied from interface: `FirebirdConnectionProperties`
Set the property that does not have corresponding setter method.

Specified by:
  `setNonStandardProperty` in interface `FirebirdConnectionProperties`
Parameters:
  `propertyMapping` - parameter value in the `propertyName[=propertyValue]` form, this allows setting non-standard parameters using configuration files.

#### getTransactionParameters

    public TransactionParameterBuffer getTransactionParameters(int isolation)

Description copied from interface: `FirebirdConnectionProperties`
Get the transaction parameter buffer corresponding to the current connection request information.

Specified by:
  `getTransactionParameters` in interface `FirebirdConnectionProperties`
Parameters:
  `isolation` - transaction isolation level for which TPB should be returned.
Returns:
  instance of `TransactionParameterBuffer`.

#### setTransactionParameters

    public void setTransactionParameters(int isolation,
                                         TransactionParameterBuffer tpb)

Description copied from interface: `FirebirdConnectionProperties`
Set transaction parameters for the specified transaction isolation level. The specified TPB is used as a default mapping for the specified isolation level.

Specified by:
  `setTransactionParameters` in interface `FirebirdConnectionProperties`
Parameters:
  `isolation` - transaction isolation level.
  `tpb` - instance of `TransactionParameterBuffer` containing transaction parameters.

#### getMapper

    public FBTpbMapper getMapper()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### asIConnectionProperties

    public IConnectionProperties asIConnectionProperties()

Returns:
  A mutable view of these connection properties as an implementation of `IConnectionProperties`
Since:
  5